Subject: bug#59886: closed (Re: bug#59886: Manual error in (elisp) Searching Keymaps regarding keymap char properties?)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 10 Dec 2022 13:08:02 +0000

Your bug report

#59886: Manual error in (elisp) Searching Keymaps regarding keymap char properties?

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59886: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59886
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59886: Manual error in (elisp) Searching Keymaps regarding keymap char properties?
From: Eli Zaretskii <[email-masked]>
To: hokomo <[email-masked]>
Cc: [email-masked]
Date: Sat, 10 Dec 2022 15:07:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: hokomo <[email-masked]>
> Date: Wed, 07 Dec 2022 17:21:36 +0100
> 
> 
> Hello,
> 
> The psuedo-Lisp code presented in the manual (elisp) Searching 
> Keymaps says:
> 
> (if (get-text-property (point) 'local-map)
>    (FIND-IN (get-char-property (point) 'local-map))
>  (FIND-IN (current-local-map)))
> 
> Why does the condition use `get-text-property', but then the 
> consequent uses `get-char-property'? Shouldn't they both be 
> `get-char-property'? According to (elisp) Active Keymaps:
> 
> "If there is a 'local-map' /text or overlay/ property at point, 
> that specifies the local keymap to use, in place of the buffer's 
> default local keymap."
> 
> Am I missing something?
> 
> Additionally, perhaps the two paragraphs in (elisp) Active Keymaps 
> that mention the `keymap` and the `local-map' property (search for 
> "property") should be reworded slightly to emphasize that the 
> search prefers the overlay property over the text property, since 
> that's how `get-char-property' is documented to work. Maybe change 
> the ordering of "text or overlay" to "overlay or text", along with 
> an explicit emphasis?

Thanks, I've changed the example to use get-char-property.

Subject: Manual error in (elisp) Searching Keymaps regarding keymap char properties?
From: hokomo <[email-masked]>
To: [email-masked]
Date: Wed, 07 Dec 2022 17:21:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

The psuedo-Lisp code presented in the manual (elisp) Searching 
Keymaps says:

(if (get-text-property (point) 'local-map)
   (FIND-IN (get-char-property (point) 'local-map))
 (FIND-IN (current-local-map)))

Why does the condition use `get-text-property', but then the 
consequent uses `get-char-property'? Shouldn't they both be 
`get-char-property'? According to (elisp) Active Keymaps:

"If there is a 'local-map' /text or overlay/ property at point, 
that specifies the local keymap to use, in place of the buffer's 
default local keymap."

Am I missing something?

Additionally, perhaps the two paragraphs in (elisp) Active Keymaps 
that mention the `keymap` and the `local-map' property (search for 
"property") should be reworded slightly to emphasize that the 
search prefers the overlay property over the text property, since 
that's how `get-char-property' is documented to work. Maybe change 
the ordering of "text or overlay" to "overlay or text", along with 
an explicit emphasis?

hokomo